Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 229765 - evolution crashs when using with exchange
evolution crashs when using with exchange
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-23 05:56 EST by gman
Modified: 2018-04-11 03:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gman 2007-02-23 05:56:41 EST
Description of problem:
evolution crash when using it w/ an Exchange server.

Version-Release number of selected component (if applicable):

 2.8.2.1-3.fc6 

How reproducible:

General use of evolution. But mainly when checking or filtering mail..

Steps to Reproduce:
1. general use
2.
3.
  
Actual results:


Expected results:


Additional info:

Here is a backtrace that bugbuddy gets

 Backtrace was generated from '/usr/libexec/evolution-exchange'

Using host libthread_db library "/lib64/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 46912496388480 (LWP 6917)]
[New Thread 1074006336 (LWP 6920)]
0x00000037f120d96f in __libc_waitpid (pid=7057, stat_loc=0x7fffd0482bcc, 
    options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:41
41        int result = INLINE_SYSCALL (wait4, 4, pid, stat_loc, options, NULL);
#0  0x00000037f120d96f in __libc_waitpid (pid=7057, stat_loc=0x7fffd0482bcc, 
    options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:41
#1  0x00000034f9256d07 in libgnomeui_segv_handle (signum=11)
    at gnome-ui-init.c:870
#2  <signal handler called>
#3  0x00000037f06754c0 in ?? () from /lib64/libc.so.6
#4  0x00000037f0645d18 in _IO_vfprintf_internal (s=0x7fffd0483710, format=)
    at vfprintf.c:1559
#5  0x00000037f066651d in _IO_vasprintf (result_ptr=0x7fffd0483868, 
    format=0x34fee3e412 "<D:href>%s</D:href>", args=0x7fffd0483880)
    at vasprintf.c:63
#6  0x00000030b0653cf0 in IA__g_vasprintf (string=0x7fffd0483868, format=)
    at gprintf.c:311
#7  0x00000030b06476a2 in g_string_append_printf_internal (string=0x904f20, 
    fmt=) at gstring.c:898
#8  0x00000030b0647758 in IA__g_string_append_printf (string=)
    at gstring.c:925
#9  0x00000034fee2637b in patch_msg (ctx=0x6de960, 
    uri=0x71c960 "https://webmail.lithium.com/exchange/gary.barrueto/Inbox/", 
    method=0x34fee3e5fd "BPROPPATCH", hrefs=) at e2k-context.c:1387
#10 0x00000034fee270a6 in e2k_context_bproppatch_start (ctx=0x6de960, op=0x0, 
    uri=0x71c960 "https://webmail.lithium.com/exchange/gary.barrueto/Inbox/", 
    hrefs=0x756320, nhrefs=1, props=0x6f8e00, create=0) at e2k-context.c:1581
#11 0x00000034fee14618 in e_folder_exchange_bproppatch_start (
    folder=0x71c960, op=0x0, hrefs=0x756320, nhrefs=1, props=0x6f8e00, 
    create=0) at e-folder-exchange.c:853
#12 0x000000000041fdf4 in mark_read (folder=0x699ea0, hrefs=0x8c0c00, read=1)
    at mail-stub-exchange.c:1423
#13 0x0000000000421e29 in process_flags (user_data=)
    at mail-stub-exchange.c:1660
#14 0x00000030b062d46b in g_timeout_dispatch (source=0x7454a0, callback=)
    at gmain.c:3422
#15 0x00000030b062cf64 in IA__g_main_context_dispatch (context=0x6b6c20)
    at gmain.c:2045
#16 0x00000030b062fd9d in g_main_context_iterate (context=0x6b6c20, block=1, 
    dispatch=1, self=) at gmain.c:2677
#17 0x00000030b06300aa in IA__g_main_loop_run (loop=0x6d2dc0) at gmain.c:2881
#18 0x00000030b382d0e6 in bonobo_main () at bonobo-main.c:311
#19 0x000000000041c2a9 in main (argc=3, argv=) at main.c:238
#20 0x00000037f061da44 in __libc_start_main (main=0x41be70 <main>, argc=3, 
    ubp_av=0x7fffd0483e38, init=) at libc-start.c:231
#21 0x0000000000417da9 in _start ()
#22 0x00007fffd0483e28 in ?? ()
#23 0x0000000000000000 in ?? ()

Thread 2 (Thread 1074006336 (LWP 6920)):
#0  0x00000037f06c4a36 in *__GI___poll (fds=0x6d3010, nfds=8, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        oldtype = 0
        result = 
Thread 1 (Thread 46912496388480 (LWP 6917)):
#0  0x00000037f120d96f in __libc_waitpid (pid=7057, stat_loc=0x7fffd0482bcc, 
    options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:41
        oldtype = 0
        result =
Comment 1 Matthew Barnes 2007-10-05 00:35:56 EDT
Is this problem still present on Fedora 8 Test 2 or later?
Comment 2 Matěj Cepl 2007-12-10 16:48:27 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 3 Matěj Cepl 2008-01-15 09:38:59 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.